package com.iformall.domain.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;

@TableName(value = "wx_authorizer_info")
@Data
@EqualsAndHashCode(callSuper = true)
public class WxAuthorizerInfo extends BaseEntity {

    protected Long id;
    
    @TableField(exist = false)
    protected List<Long> ids;

    @io.swagger.annotations.ApiModelProperty(value="租户ID",name="tenantId")
    private String tenantId;
    @io.swagger.annotations.ApiModelProperty(value="1B端2C端",name="type")
    private Integer type;
	@io.swagger.annotations.ApiModelProperty(value="授权方appid",name="authorizerAppid")
	private String authorizerAppid;
	@io.swagger.annotations.ApiModelProperty(value="授权方头像",name="headImg")
	private String headImg;
	@io.swagger.annotations.ApiModelProperty(value="授权方公众号所设置的微信号，可能为空",name="alias")
	private String alias;
	@io.swagger.annotations.ApiModelProperty(value="二维码图片的URL，开发者最好自行也进行保存",name="qrcodeUrl")
	private String qrcodeUrl;
	@io.swagger.annotations.ApiModelProperty(value="创建时间",name="createTime")
	private Date createTime;
    @io.swagger.annotations.ApiModelProperty(value="更新时间",name="updateTime")
    private Date updateTime;
	@io.swagger.annotations.ApiModelProperty(value="授权状态,0为已授权,1为已取消授权",name="authorizationStatus")
	private Integer authorizationStatus;
    @io.swagger.annotations.ApiModelProperty(value="授权时间",name="authTime")
    private Date authTime;
    @io.swagger.annotations.ApiModelProperty(value="微信基础版本设置状态,0为已设置,1为设置失败",name="baseStatus")
    private Integer baseStatus;
    @io.swagger.annotations.ApiModelProperty(value="微信基础版本设置时间",name="baseTime")
    private Date baseTime;
    @io.swagger.annotations.ApiModelProperty(value="微信服务器域名版本设置状态,0为已设置,1为设置失败",name="domainStatus")
    private Integer domainStatus;
    @io.swagger.annotations.ApiModelProperty(value="微信服务器域名版本设置时间",name="domainTime")
    private Date domainTime;
    @io.swagger.annotations.ApiModelProperty(value="微信服务器业务域名版本设置状态,0为已设置,1为设置失败",name="webdomainStatus")
    private Integer webdomainStatus;
    @io.swagger.annotations.ApiModelProperty(value="微信服务器业务域名版本设置时间",name="webdomainTime")
    private Date webdomainTime;
    @io.swagger.annotations.ApiModelProperty(value="微信小程序模板设置状态,0为已设置,1为设置失败",name="templateStatus")
    private Integer templateStatus;
    @io.swagger.annotations.ApiModelProperty(value="微信小程序模板设置时间",name="templateTime")
    private Date templateTime;
    @io.swagger.annotations.ApiModelProperty(value="微信小程序用户隐私指引,0为已设置,1为设置失败",name="privacySettingStatus")
    private Integer privacySettingStatus;
    @io.swagger.annotations.ApiModelProperty(value="小程序每月审核撤回次数",name="auditBackNum")
    private Integer auditBackNum;
    @io.swagger.annotations.ApiModelProperty(value="微信小程序审核最后撤回时间",name="auditBackTime")
    private Date auditBackTime;
    @io.swagger.annotations.ApiModelProperty(value="当前版本",name="currentVersion")
    private String currentVersion;
    @io.swagger.annotations.ApiModelProperty(value="当前版本描述",name="currentDesc")
    private String currentDesc;
    @io.swagger.annotations.ApiModelProperty(value="当前版本发布时间",name="releaseTime")
    private Date releaseTime;
    @io.swagger.annotations.ApiModelProperty(value="微信开放平台appId",name="openAppid")
    private String openAppid;
    @io.swagger.annotations.ApiModelProperty(value="绑定开发平台时间",name="bindOpenTime")
    private Date bindOpenTime;
    @io.swagger.annotations.ApiModelProperty(value="refresh_token",name="refreshToken")
    private String refreshToken;
    @io.swagger.annotations.ApiModelProperty(value="access_token",name="accessToken")
    private String accessToken;
    @io.swagger.annotations.ApiModelProperty(value="accessToken过期时间",name="accessTokenExpire")
    private Date accessTokenExpire;

    @io.swagger.annotations.ApiModelProperty(value="app平台 EnumAppPlat ",name="plat")
    private Integer plat;
	
}
