package com.iformall.service.toutiao.api.bean;

import lombok.Data;
import me.chanjar.weixin.common.util.json.WxGsonBuilder;
import me.chanjar.weixin.open.bean.result.WxOpenResult;
import me.chanjar.weixin.open.util.json.WxOpenGsonBuilder;
import org.apache.commons.lang3.StringUtils;

import java.io.Serializable;

/**
 * 基础的微信开放平台请求结果.
 *
 * @author yqx
 * @date 2018/10/1
 */
@Data
public class TtOpenResult implements Serializable {
  private static final long serialVersionUID = -3419554656499566410L;
  protected String errno;
  protected String message;

  /**
   * 请求是否成功.
   */
  public boolean isSuccess() {
    return StringUtils.equalsIgnoreCase(errno, "0");
  }

  public static WxOpenResult fromJson(String json) {
    return TtOpenGsonBuilder.create().fromJson(json, WxOpenResult.class);
  }

  @Override
  public String toString() {
    return TtOpenGsonBuilder.create().toJson(this);
  }
}
