/*
 * KINGSTAR MEDIA SOLUTIONS Co.,LTD. Copyright c 2005-2013. All rights reserved.
 *
 * This source code is the property of KINGSTAR MEDIA SOLUTIONS LTD. It is intended
 * only for the use of KINGSTAR MEDIA application development. Reengineering, reproduction
 * arose from modification of the original source, or other redistribution of this source
 * is not permitted without written permission of the KINGSTAR MEDIA SOLUTIONS LTD.
 */
package com.iformall.service.toutiao.api.bean;

import com.google.gson.*;
import org.apache.commons.lang3.StringUtils;

import java.lang.reflect.Type;


/**
 * @author Daniel Qian
 */
public class TtOpenShopMaterialGsonAdapter implements JsonSerializer<TtOpenShopMaterial> {

  @Override
  public JsonElement serialize(TtOpenShopMaterial openShopMaterial, Type typeOfSrc, JsonSerializationContext context) {
    return convertToJson(openShopMaterial);
  }

  protected JsonObject convertToJson(TtOpenShopMaterial openShopMaterial) {
    JsonObject json = new JsonObject();
    json.addProperty("client_key", openShopMaterial.getClientKey());
    json.addProperty("supplier_ext_id", openShopMaterial.getSupplierExtId());
    json.addProperty("biz_licence_path", openShopMaterial.getBizLicencePath());
    json.addProperty("contract_path", openShopMaterial.getContractPath());

    if(StringUtils.isNotBlank(openShopMaterial.getQualMaterial())){
      JsonArray qmJsonArray = new JsonParser().parse(openShopMaterial.getQualMaterial()).getAsJsonArray();
      json.add("qual_material",qmJsonArray);
    }
    json.addProperty("expire_time", openShopMaterial.getExpireTime());

    if(StringUtils.isNotBlank(openShopMaterial.getAdditionalQual())){
      JsonArray aqJsonArray = new JsonParser().parse(openShopMaterial.getAdditionalQual()).getAsJsonArray();
      json.add("additional_qual",aqJsonArray);
    }
    return json;
  }

}
