package com.iformall.service.toutiao.miniapp.impl;

import com.google.gson.JsonObject;
import com.google.gson.JsonParser;
import com.iformall.service.toutiao.miniapp.TtMaMsgService;
import com.iformall.service.toutiao.miniapp.TtMaService;
import com.iformall.service.toutiao.miniapp.bean.TtMaSubscribeMessage;
import lombok.AllArgsConstructor;
import me.chanjar.weixin.common.WxType;
import me.chanjar.weixin.common.error.WxError;
import me.chanjar.weixin.common.error.WxErrorException;

/**
 * @author <a href="https://github.com/binarywang">Binary Wang</a>
 */
@AllArgsConstructor
public class TtMaMsgServiceImpl implements TtMaMsgService {
  private static final JsonParser JSON_PARSER = new JsonParser();
  private TtMaService ttMaService;

  @Override
  public void sendSubscribeMsg(TtMaSubscribeMessage subscribeMessage) throws WxErrorException {
    String responseContent = this.ttMaService.post(SUBSCRIBE_MSG_SEND_URL, subscribeMessage);
    JsonObject jsonObject = JSON_PARSER.parse(responseContent).getAsJsonObject();
    if (jsonObject.get("err_no").getAsInt() != 0) {
      throw new WxErrorException(WxError.fromJson(responseContent, WxType.MiniApp));
    }
  }

}
