package com.iformall.service.wechat.handler;

import me.chanjar.weixin.common.api.WxConsts;
import me.chanjar.weixin.common.session.WxSessionManager;
import me.chanjar.weixin.mp.api.WxMpService;
import me.chanjar.weixin.mp.bean.message.WxMpXmlMessage;
import me.chanjar.weixin.mp.bean.message.WxMpXmlOutMessage;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author Stormeye Wu
 * 2.8 从卡券进入公众号会话事件推送
 */
@Component
public class CardUserEnterSessionHandler extends AbstractHandler {

    @Override
    public WxMpXmlOutMessage handle(WxMpXmlMessage wxMessage,
                                    Map<String, Object> context, WxMpService wxMpService,
                                    WxSessionManager sessionManager) {
        /**
         * <xml>
         *    <ToUserName><![CDATA[toUser]]></ToUserName>
         *     <FromUserName><![CDATA[FromUser]]></FromUserName>
         *     <CreateTime>123456789</CreateTime>
         *     <MsgType><![CDATA[event]]></MsgType>
         *     <Event><![CDATA[user_enter_session_from_card]]></Event>
         *     <CardId><![CDATA[cardid]]></CardId>
         *     <UserCardCode><![CDATA[12312312]]></UserCardCode>
         * </xml>
         */
        String appId = wxMpService.getWxMpConfigStorage().getAppId();
        if(wxMessage.getEvent().equalsIgnoreCase(WxConsts.EventType.CARD_USER_ENTER_SESSION_FROM_CARD)) {
        }
        return null;
    }

}
