package com.iformall;

import com.ulisesbocchio.jasyptspringboot.annotation.EnableEncryptableProperties;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

/**
 * @author stormeye
 * @date   2019-01-14
 */
@SpringBootApplication
@MapperScan("com.iformall.mapper")
@EnableSwagger2
@EnableEncryptableProperties
public class WechatOpenApplication {

	@Value("${fm.exception}")
	private boolean fmException;

    @Value("${fm.exception_emails}")
    private String fmExceptionEmails;

    @Value("${fm.audit_emails}")
    private String fmAuditEmails;

    @Value("${fm.deploy}")
    private Integer fmDeploy;

    @Value("${fm.upload_dir}")
    private String uploadDir;

    @Bean
    public boolean isFmException() {
        return fmException;
    }

    @Bean
    public String fmExceptionEmails() {
        return fmExceptionEmails;
    }

    @Bean
    public String fmAuditEmails() {
        return fmAuditEmails;
    }

	@Bean
    public Integer getFmDeploy() { return  fmDeploy; }

    @Bean
    public String fmUploadDir() {
        return uploadDir;
    }

	public static void main(String[] args) {
		SpringApplication.run(WechatOpenApplication.class, args);
	}
}
